stages:
  - images

build-image-prod:
  stage: images
  only:
    - master
  tags:
    - docker-image-build
  script: "true"
  variables:
    DOCKER_FILE: ci/Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:latest

build-image-qa:
  stage: images
  only:
    - qa
  tags:
    - docker-image-build
  script: "true"
  variables:
    DOCKER_FILE: ci/Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:qa

build-image-tag:
  stage: images
  only:
    - /^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$/
  tags:
    - docker-image-build
  script: "true"
  variables:
    DOCKER_FILE: ci/Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}

build-image-dev:
  stage: images
  except:
  - tags
  - master
  - qa
  tags:
  - docker-image-build
  script: "true"
  variables:
    DOCKER_FILE: ci/Dockerfile
    TO: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}
